#include <assert.h>
#include "file.h"

file creer_file()
{
  file f;
  f.p1 = creer_pile();
  f.p2 = creer_pile();
  return f;
}

bool file_est_vide(file f)
{
  return (pile_est_vide(f.p1)
      && pile_est_vide(f.p2));
}

void enfiler(file f, int x)
{
  empiler(f.p1, x);
}

int defiler(file f)
{
  assert(!file_est_vide(f));
  if (pile_est_vide(f.p2))
  { // Il vaut vider p1 dans p2
    while (!pile_est_vide(f.p1))
    {
      empiler(f.p2, depiler(f.p1));
    }
  }
  return depiler(f.p2);
}

void detruire_file(file f)
{
  detruire_pile(f.p1);
  detruire_pile(f.p2);
}
