#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <string.h>
#include "liste.h"

void liste_affiche(liste l)
{
  liste iter;
  for (iter = l; !liste_est_vide(iter); iter = liste_suivant(iter))
  {
    printf("%d -> ", liste_tete(iter));
  }
  printf("NULL\n");
}


int main()
{
  liste l = creer_liste();

  for(int i = 0; i < 5; i++)
  {
    liste_insertion(l, i);
  }

  liste_affiche(l);

  liste iter = l;
  while (!liste_est_vide(iter))
  {
    if (liste_tete(iter) % 2 == 0)
    {
      liste_suppression(iter);
    }
    else
    {
      iter = liste_suivant(iter);
    }
  }

  liste_affiche(l);

  detruire_liste(l);
}
